Bug 1369520 - [abrt] pgadmin3: ____strtol_l_internal(): pgadmin3 killed by SIGSEGV
Summary: [abrt] pgadmin3: ____strtol_l_internal(): pgadmin3 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin3
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:368cbfea7230063af487bc989d0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-23 15:55 UTC by Oleksandr Tarasiuk
Modified: 2016-09-10 05:20 UTC (History)
2 users (show)

Fixed In Version: pgadmin3-1.22.1-3.fc25 pgadmin3-1.22.1-3.fc24 pgadmin3-1.22.1-3.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-09 21:50:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (57.80 KB, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: cgroup (242 bytes, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: core_backtrace (12.71 KB, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: dso_list (11.14 KB, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: environ (1.68 KB, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: exploitable (82 bytes, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: limits (1.29 KB, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: maps (57.15 KB, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: mountinfo (3.70 KB, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: namespaces (102 bytes, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: open_fds (827 bytes, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details
File: var_log_messages (309 bytes, text/plain)
2016-08-23 15:55 UTC, Oleksandr Tarasiuk
no flags Details

Description Oleksandr Tarasiuk 2016-08-23 15:55:31 UTC
Description of problem:
Happened after trying to click on server in thee after connection to the server was lost.

Version-Release number of selected component:
pgadmin3-1.22.1-2.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
crash_function: ____strtol_l_internal
executable:     /usr/bin/pgadmin3
global_pid:     6424
kernel:         4.6.6-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ____strtol_l_internal at ../stdlib/strtol_l.c:293
 #1 atoi at /usr/include/stdlib.h:280
 #2 pgConn::GetPort at ../pgadmin/include/db/pgConn.h:199
 #3 pgConn::GetName at db/pgConn.cpp:659
 #4 frmMain::EndMsg at frm/frmMain.cpp:1361
 #5 pgObject::ShowTree at schema/pgObject.cpp:772
 #6 frmMain::setDisplay at frm/events.cpp:531
 #7 frmMain::execSelChange at frm/events.cpp:508
 #8 frmMain::OnTreeSelChanged at frm/events.cpp:390
 #9 wxEvtHandler::ProcessEventIfMatches at src/common/event.cpp:1239

Comment 1 Oleksandr Tarasiuk 2016-08-23 15:55:37 UTC
Created attachment 1193345 [details]
File: backtrace

Comment 2 Oleksandr Tarasiuk 2016-08-23 15:55:39 UTC
Created attachment 1193346 [details]
File: cgroup

Comment 3 Oleksandr Tarasiuk 2016-08-23 15:55:40 UTC
Created attachment 1193347 [details]
File: core_backtrace

Comment 4 Oleksandr Tarasiuk 2016-08-23 15:55:42 UTC
Created attachment 1193348 [details]
File: dso_list

Comment 5 Oleksandr Tarasiuk 2016-08-23 15:55:44 UTC
Created attachment 1193349 [details]
File: environ

Comment 6 Oleksandr Tarasiuk 2016-08-23 15:55:45 UTC
Created attachment 1193350 [details]
File: exploitable

Comment 7 Oleksandr Tarasiuk 2016-08-23 15:55:47 UTC
Created attachment 1193351 [details]
File: limits

Comment 8 Oleksandr Tarasiuk 2016-08-23 15:55:50 UTC
Created attachment 1193352 [details]
File: maps

Comment 9 Oleksandr Tarasiuk 2016-08-23 15:55:52 UTC
Created attachment 1193353 [details]
File: mountinfo

Comment 10 Oleksandr Tarasiuk 2016-08-23 15:55:53 UTC
Created attachment 1193354 [details]
File: namespaces

Comment 11 Oleksandr Tarasiuk 2016-08-23 15:55:55 UTC
Created attachment 1193355 [details]
File: open_fds

Comment 12 Oleksandr Tarasiuk 2016-08-23 15:55:57 UTC
Created attachment 1193356 [details]
File: proc_pid_status

Comment 13 Oleksandr Tarasiuk 2016-08-23 15:55:58 UTC
Created attachment 1193357 [details]
File: var_log_messages

Comment 14 Stuart D Gathman 2016-08-23 18:35:04 UTC
Do you have a quick way to reproduce?  I can test by suspending laptop with server open, and when I get to my destination, the connection will be lost.  But that is rather slow.  I have added a null ptr check at the point of failure.  I can push to testing and let you try it.  Otherwise, I'll try to remember to test before suspending laptop.

pgadmin4 is in the works, but I'm pretty sure it won't be ready for f25.

Comment 15 Fedora Update System 2016-08-29 14:04:38 UTC
pgadmin3-1.22.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e9bf0d38

Comment 16 Fedora Update System 2016-08-29 14:04:46 UTC
pgadmin3-1.22.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-14bb4e38b3

Comment 17 Fedora Update System 2016-08-29 14:04:51 UTC
pgadmin3-1.22.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3aa5465ba6

Comment 18 Stuart D Gathman 2016-08-29 14:09:50 UTC
I fixed some more "null this" problems, and pgadmin3 can now handle losing a database connection for me anyway.

Comment 19 Fedora Update System 2016-08-29 22:52:12 UTC
pgadmin3-1.22.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-14bb4e38b3

Comment 20 Fedora Update System 2016-08-29 22:52:19 UTC
pgadmin3-1.22.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3aa5465ba6

Comment 21 Fedora Update System 2016-08-29 22:55:18 UTC
pgadmin3-1.22.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e9bf0d38

Comment 22 Fedora Update System 2016-09-09 21:50:47 UTC
pgadmin3-1.22.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-09-10 01:48:54 UTC
pgadmin3-1.22.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-09-10 05:20:51 UTC
pgadmin3-1.22.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.